Package org.xnio.channels

# Interface AcceptListenerSettable<C extends Channel>

public interface AcceptListenerSettable<C extends Channel>
An object which supports directly setting the accept listener may implement this interface.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`AcceptListenerSettable.Setter<C extends Channel>`
A channel listener setter implementation which delegates to the appropriate setter method.

## Method Summary

Modifier and Type
Method
Description
`ChannelListener<? super C>`
`getAcceptListener()`
Get the accept listener.
`void`
`setAcceptListener(ChannelListener<? super C> listener)`
Set the accept listener.

## Method Details

### getAcceptListener

ChannelListener<? super C> getAcceptListener()
Get the accept listener.

Returns:
  the accept listener

### setAcceptListener

void setAcceptListener(ChannelListener<? super C> listener)
Set the accept listener.

Parameters:
  `listener` - the accept listener